2010-07-13  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* Gui/AddViewDialog.cs:
	* MonoDevelop.AspNet.Mvc.csproj: Track API changes.

2010-05-30  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/FolderNodeBuilderExtension.cs: Use the recyclable text
	  templating domain. Fixes Bug 584067 - ASP.NET MVC: cannot
	  add a View, uncaught exception.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Gui/AddViewDialog.cs:
	* Gui/FolderNodeBuilderExtension.cs: Fix incorrect use of
	  ShowCustomDialog/RunCustomDialog.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Clean up dialog placement.

2010-05-18  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic:
	* Gui/AddViewDialog.cs: Heavy refactoring and tidying of
	  ASP.NET parser code to support future changes.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.Mvc.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* AspMvcProject.cs:
	* gtk-gui/gui.stetic:
	* Gui/AddViewDialog.cs:
	* MonoDevelop.AspNet.Mvc.csproj:
	* MonoDevelop.AspNet.Mvc.addin.xml:
	* Gui/FolderNodeBuilderExtension.cs: Merged MD.Projects into
	  MD.Core, and MD.Projects.Gui, MD.Core.Gui and MD.Components
	  into MD.Ide.

2010-03-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Added makefile to project.

2010-03-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/FolderNodeBuilderExtension.cs: Fix "Bug 584067 - ASP.NET
	  MVC: cannot add a View, uncaught exception" by marshalling
	  assembly resolves from the templating AppDomain to the MD
	  AppDomain.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AspNet.Mvc.Gui.AddViewDialog.cs: Flush.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* AspMvcProject.cs: Introduced the ConfigurationSelector class
	  to all methods that previously took a configuration name as
	  string. This eliminates the ambiguity between solution
	  configuration names and project configuration names.

2009-11-11  Michael Hutchinson  <mhutchinson@novell.com>

	* AspMvcProject.cs:
	* AspMvcProjectConfiguration.cs: Simplify creation of new
	  ASP.NET MVC configurations.

2009-11-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Wire the soft debug addin
	  into the build.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.Mvc.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AspNet.Mvc.Gui.AddViewDialog.cs: Flush.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Import md.targets .

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.AspNet.Mvc.addin.xml: Bump MD version.

2009-09-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Fix output path.

2009-08-20  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Update assembly info.

2009-08-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.Mvc.csproj: Fix windows build.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix install targets.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.Mvc.csproj: Add the data files.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Don't local-copy project
	  refs.

2009-08-12  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.AspNet.Mvc.csproj: Include the ASP.NET MVC and
	  TextTemplating addins in the main solution and build.

2009-08-11  Michael Hutchinson  <mhutchinson@novell.com>

	* System.Web.Mvc.dll:
	* MonoDevelop.AspNet.Mvc.csproj:
	* MonoDevelop.AspNet.Mvc.addin.xml: Remove the MVC dll now
	  that Mono 2.4 series ships it.

2009-07-29  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Track API.

	* gtk-gui/gui.stetic:
	* MonoDevelop.AspNet.Mvc.csproj:
	* gtk-gui/MonoDevelop.AspNet.Mvc.Gui.AddViewDialog.cs: Flush.

2009-06-03  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Add another project dependency.

2009-06-03  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/FolderNodeBuilderExtension.cs: Track FilePath API.

2009-04-29  Michael Hutchinson  <mhutchinson@novell.com>

	* AspMvcProject.cs: Fix possible NRE.

2009-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Fix build.

2009-04-17  Michael Hutchinson  <mhutchinson@novell.com>

	* AspMvcProject.cs: Track namespace changes.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.Mvc.addin.xml: Bump MD version.

2009-04-09  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Track parser API.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Refresh the placeholder list properly.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: When auto-selecting site master,
	  refresh the placeholders list.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* CodeTemplates/AddView/Empty.tt: Fix missing runat="server"
	  in Content tags.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.addin.xml: Update package name.

	* AspMvcProject.cs: Check we're on the 2.4 runtime or later.
	  Update package name.

	* Templates/Project.xpt.xml: Add some "Hello World" content.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Disable class selector, and the widget
	  it uses has broken input handling in modal dialogs.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AspMvcProject.cs: Add a workaround for Bug 491377: Package
	  references can't be local-copied even if they aren't GAC
	  assemblies.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/WebConfigApp.xft.xml: Fix web.config.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* System.Web.Mvc.dll: Need assembly signed with winfx key.

2009-04-02  Michael Hutchinson  <mhutchinson@novell.com>

	* System.Web.Mvc.dll:
	* MonoDevelop.AspNet.Mvc.csproj:
	* MonoDevelop.AspNet.Mvc.addin.xml: Fix refs. Add a local 
	  copy of the GMCS-built, MS-PL System.Web.Mvc dll.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui/gui.stetic: Track build directory change.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Move output dir from ../bin
	  to ../build.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* gtk-gui:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.AspNet.Mvc.Gui.AddViewDialog.cs: Add
	  missing files.

2009-03-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj:
	* MonoDevelop.AspNet.Mvc.addin.xml: Reference the
	  TextTemplating addin.

	* Gui/AddViewDialog.cs: Fix warning.

	* Gui/FolderNodeBuilderExtension.cs: Move error-showing code
	  to the TemplatingService.

2009-03-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.addin.xml: Update dependencies.

	* Gui/AddViewDialog.cs:
	* MonoDevelop.AspNet.Mvc.csproj: Add class picker.

2009-03-06  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui/AddViewDialog.cs: Get the placeholder list from the
	  master page. Better validation of input.

2009-03-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Updated.

	* AspMvcProject.cs: Add method for looking up .tt files.

	* Gui/AddViewDialog.cs: New Add View dialog.

	* Gui/FolderNodeBuilderExtension.cs: Use new Add View dialog
	  and the MVC T4 host.

	* CodeTemplates:
	* TextTemplating:
	* CodeTemplates/AddView:
	* CodeTemplates/AddController: Added.

	* TextTemplating/MvcTextTemplateHost.cs: ASP.NET MVC T4 host.

	* CodeTemplates/AddView/Empty.tt: Simple empty tt file.

	* Templates/UserControl.xft.xml: Add more whitespace.

2009-03-04  Michael Hutchinson  <mhutchinson@novell.com>

	* T4/Engine.cs:
	* T4/Tokeniser.cs:
	* T4/ToStringHelper.cs:
	* T4/ParsedTemplate.cs:
	* T4/TextTransformation.cs:
	* T4/DirectiveProcessor.cs:
	* MonoDevelop.AspNet.Mvc.csproj:
	* T4/ITextTemplatingEngineHost.cs:
	* T4/DirectiveProcessorException.cs:
	* T4/RequiresProvidesDirectiveProcessor.cs: Move T4
	  implementation to its own assembly. Tweak some appdomain
	  stuff.

2009-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* T4/Engine.cs: Handle culture, encoding, extension directive
	  values.

2009-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* T4/Engine.cs:
	* T4/Template.cs:
	* T4/Tokeniser.cs:
	* T4/ParsedTemplate.cs:
	* MonoDevelop.AspNet.Mvc.csproj: T4 implementation is complete
	  except for handling some of the directive values and custom
	  directives.

2009-03-03  Michael Hutchinson  <mhutchinson@novell.com>

	* T4:
	* T4/Engine.cs:
	* T4/Template.cs:
	* T4/Tokeniser.cs:
	* T4/ToStringHelper.cs:
	* T4/DirectiveProcessor.cs:
	* T4/TextTransformation.cs:
	* MonoDevelop.AspNet.Mvc.csproj:
	* T4/ITextTemplatingEngineHost.cs:
	* T4/DirectiveProcessorException.cs:
	* T4/RequiresProvidesDirectiveProcessor.cs: Added an
	  incomplete T4 implemention.

2009-02-28  Michael Hutchinson  <mhutchinson@novell.com>

	* AspMvcProject.cs: Add Models, Views, Controllers to special
	  folders list.

2009-02-27  Michael Hutchinson  <mhutchinson@novell.com>

	* Gui:
	* AspMvcCommands.cs:
	* MonoDevelop.AspNet.Mvc.addin.xml:
	* Gui/FolderNodeBuilderExtension.cs: Add context menu commands
	  for adding views and controllers to the appropriate folders.

	* MonoDevelop.AspNet.Mvc.csproj: Updated.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.Mvc.csproj: Flush.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/Project.xpt.xml:
	* Templates/EmptyProject.xpt.xml: Set SpecificVersion false
	  for some references.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/ViewContentPage.xft.xml: Fix MasterPageFile
	  attribute name.

2009-02-24  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/ViewContentPage.xft.xml: Use master content
	  generator.

2009-02-21  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/Project.xpt.xml:
	* Templates/GlobalAsax.xft.xml:
	* MonoDevelop.AspNet.Mvc.csproj:
	* Templates/WebConfigApp.xft.xml:
	* Templates/EmptyProject.xpt.xml:
	* MonoDevelop.AspNet.Mvc.addin.xml:
	* Templates/WebConfigViews.xft.xml: Added web.config,
	  global.asax templates.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/Project.xpt.xml:
	* Templates/EmptyProject.xpt.xml: Add Web.configs.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* Templates/Project.xpt.xml:
	* Templates/EmptyProject.xpt.xml: Set target framework
	  version. Create default MVC directories.

2009-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.AspNet.Mvc.addin.xml: Fix MVC project type
	  registration.

